MATLAB and Simulink Requirements

Product Requirements & Platform Availability for Simulink Coder

Supported Platforms

Windows, Mac, Linux

Product Requirements

  • Requires MATLAB
  • Requires Simulink
  • Requires MATLAB Coder
  • Embedded Coder recommended
  • Simulink Real-Time recommended
  • Requires Fixed-Point Designer for generating fixed-point code
  • Requires host platform C compiler.
  • Requires cross-compiler for the target processor if the code will execute on a platform different from the host.

Supported Third-Party Compilers

Windows

  • MinGW 5.3 C/C++ (Distributor: mingw-w64) (available at no charge)
  • Microsoft Visual C++ 2017 Family
    • Community, Professional, and Enterprise editions are supported.
  • Microsoft Visual C++ 2015 Professional
    • A compiler is not installed by default with this version of Visual Studio and must be specified while performing a custom installation. See Answer 328432 for more details.
  • Microsoft Visual C++ 2013 Professional
  • lcc-win64 (included with products that support it)

macOS

  • To determine the version of Xcode installed, start Xcode and then select Xcode->About Xcode.
  • Xcode 9.x (available at no charge)
  • Xcode 8.x (available at no charge)

Linux

GCC C/C++ 4.9.x (available at no charge)

Supported Language Interfaces

  • None

Introduced in R2011a

View requirements for another product: